FROM node:16-alpine3.11
WORKDIR /app
COPY package*.json ./
RUN npm install
ARG MONGO_URL_CONNECTION_ARG
ARG CLOUDINARY_API_KEY_ARG
ARG CLOUDINARY_API_SECRET_ARG
ARG CLOUDINARY_CLOUD_NAME_ARG
ENV MONGO_URL_CONNECTION=$MONGO_URL_CONNECTION_ARG
ENV CLOUDINARY_API_KEY=$CLOUDINARY_API_KEY_ARG
ENV CLOUDINARY_API_SECRET=$CLOUDINARY_API_SECRET_ARG
ENV CLOUDINARY_CLOUD_NAME=$CLOUDINARY_CLOUD_NAME_ARG
COPY /build/ ./
CMD ["node", "src/index.js"]
